#include <iostream>

#include <sys/timeb.h> // "more < /usr/include/sys/timeb.h" avec Linux

#include "Fibonacci.h"

int main(int argc, char** argv) {
    timeb start, end;
    ::ftime(&start);
    std::cout << "start: " << start.time << "." << start.millitm << "\n";
    Fibonacci fibonacci(40L);
    ::ftime(&end);
    std::cout << "end: " << end.time << "." << end.millitm << "\n";
    std::cout << "result: " << fibonacci.result << "\n";
    std::cout << "cost: " << fibonacci.cost << "\n";

    return 0;
}
